package ibase.dashboard.scm.ejb;
import java.rmi.RemoteException;
import ibase.webitm.ejb.ValidatorRemote;
import ibase.webitm.utility.ITMException;
import javax.ejb.Remote;
import org.json.simple.JSONObject;

@Remote
public interface SalesPerformanceRemote extends ValidatorRemote
{
	public JSONObject getGridData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getSalesGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getProfitGraphData(String dataSourceName ,String month) throws RemoteException, ITMException;
	public JSONObject getExpenseGraphData(String dataSourceName ,String month) throws RemoteException, ITMException;
	public JSONObject getMnthlySalesGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getYTDSalesGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getMnthSalesDivWiseGraphData(String dataSourceName,String month) throws RemoteException, ITMException;

	
}
